{
    "name": "root/app",
    "license": "proprietary",
    "type": "project",
    "autoload": {
        "psr-4": {
            "": "src/"
        },
        "classmap": [
            "app/AppKernel.php",
            "app/AppCache.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "require": {
        "php": ">=5.5.9",
        "symfony/symfony": "^3.2",
        "doctrine/orm": "^2.5",
        "doctrine/doctrine-bundle": "^1.6",
        "doctrine/doctrine-cache-bundle": "^1.2",
        "symfony/swiftmailer-bundle": "^2.3.10",
        "symfony/monolog-bundle": "^3.0.2",
        "symfony/polyfill-apcu": "^1.0",
        "sensio/distribution-bundle": "^5.0",
        "sensio/framework-extra-bundle": "^3.0.2",
        "incenteev/composer-parameter-handler": "^2.0"
    },
    "require-dev": {
        "sensio/generator-bundle": "^3.0",
        "symfony/phpunit-bridge": "^3.0",
        "vimeo/psalm": "^4.9",
        "squizlabs/php_codesniffer": "*",
        "phpmd/phpmd": "^2.10"
    },
    "scripts": {
        "symfony-scripts": [
            "Incenteev\\ParameterHandler\\ScriptHandler::buildParameters",
            "Sensio\\Bundle\\DistributionBundle\\Composer\\ScriptHandler::buildBootstrap",
            "Sensio\\Bundle\\DistributionBundle\\Composer\\ScriptHandler::clearCache",
            "Sensio\\Bundle\\DistributionBundle\\Composer\\ScriptHandler::installAssets",
            "Sensio\\Bundle\\DistributionBundle\\Composer\\ScriptHandler::installRequirementsFile",
            "Sensio\\Bundle\\DistributionBundle\\Composer\\ScriptHandler::prepareDeploymentTarget"
        ],
        "post-install-cmd": [
            "@symfony-scripts"
        ],
        "post-update-cmd": [
            "@symfony-scripts"
        ],
        "phpcs": [
            "vendor/bin/phpcs --standard=./phpcs.xml.dist"
        ],
        "phpcs-fix": [
            "vendor/bin/phpcbf --standard=./phpcs.xml.dist"
        ],
        "phpmd": [
            "vendor/bin/phpmd src text phpmd.xml"
        ],
        "psalm": [
            "vendor/bin/psalm --show-info=true"
        ],
        "phpmd-diff": [
            "vendor/bin/phpmd $(git diff --numstat --name-only --diff-filter=ACMRTUXB HEAD~..HEAD -- '*.php' | awk -vORS=, '{ print $1 }' | sed 's/,$//') text unusedcode,cleancode,controversial,design"
        ],
        "phpcs-diff": [
            "vendor/bin/phpcs $(git diff --name-only --diff-filter=ACMRTUXB HEAD~..HEAD -- '*.php')"
        ],
        "psalm-diff": [
            "vendor/bin/psalm --show-info=true $(git diff --name-only --diff-filter=ACMRTUXB HEAD~..HEAD -- '*.php')"
        ]
    },
    "extra": {
        "symfony-app-dir": "app",
        "symfony-bin-dir": "bin",
        "symfony-var-dir": "var",
        "symfony-web-dir": "web",
        "symfony-tests-dir": "tests",
        "symfony-assets-install": "relative",
        "incenteev-parameters": {
            "file": "app/config/parameters.yml"
        },
        "branch-alias": null
    },
    "config": {
        "platform": {
            "ext-mongo": "1.6.16",
            "ext-mongodb": "1.2.0",
            "php": "7.2.0"
        }
    }
}
